{
  fetchFromGitHub,
  lib,
  pkg-config,
  rustPlatform,
  stdenv,
}: let
  inherit (lib) optionals;
in
  rustPlatform.buildRustPackage rec {
    pname = "cargo-leptos";
    version = "0.2.26";

    src = fetchFromGitHub {
      owner = "leptos-rs";
      repo = pname;
      rev = "v0.2.26";
      hash = "sha256-v1gNH3pq5db/swsk79nEzgtR4jy3f/xHs4QaLnVcVYU=";
    };

    cargoHash = "sha256-D9/ZXmXWrKhLLx2aJZgctidpxef53Z7H+X37m8Yz0Hs=";

    # https://github.com/leptos-rs/cargo-leptos#dependencies
    buildFeatures = ["no_downloads"]; # cargo-leptos will try to install missing dependencies on its own otherwise
    doCheck = false; # Check phase tries to query crates.io

    meta = with lib; {
      description = "A build tool for the Leptos web framework";
      homepage = "https://github.com/leptos-rs/cargo-leptos";
      changelog = "https://github.com/leptos-rs/cargo-leptos/releases/tag/${version}";
      license = with licenses; [mit];
      maintainers = with maintainers; [benwis];
    };
  }
